package com.ytpm.advertise.view;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 综合报表广告源分组报表
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ComprehensiveAdSourceReport extends ComprehensiveCommonView{
    /** 广告源信息，group_by有选adsource维度时才返回 */
    ReportAdSourceView adSource;


    public ComprehensiveAdSourceReport(ReportAdSourceView adSource, ComprehensiveAdSourceReport report) {
        this.adSource = adSource;
        this.setRequest(report.getRequest());
        this.setFillrate(report.getFillrate());
        this.setImpression(report.getImpression());
        this.setClick(report.getClick());
        this.setEcpm(report.getEcpm());
        this.setRevenue(report.getRevenue());
        this.setImpression_api(report.getImpression_api());
        this.setClick_api(report.getClick_api());
        this.setEcpm_api(report.getEcpm_api());
    }
}
